<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  記事情報削除用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.do
 */
class postDeleteAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $post_id = $request['post_id'];

        // 記事の削除
        db_delete_post($post_id);

        // リダイレクト
        pocket_redirect('default.view');
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
