{include file="incHtmlHeader.tpl" block_type="3"}

<body>
<div id="container">

{include file="incBlockHeader.tpl"}

<div id="container-main">

<div class="center-left">

<div class="left">

{* 左サイドメニュー *}
{include file="incSideBlockLeft.tpl"}

</div><!-- end left -->

{* ここから：本文 *}
<div class="center">
<br />

<div class="table-title">
記事を投稿する
</div><!-- end table-title -->
<div class="table-body">

{* エラーメッセージ *}
{include file="incErrorMessage.tpl"}

<form action="./" method="post">
<div>
<input type="hidden" name="a" value="postInsert.do" />
</div>
<table cellpadding="1" cellspacing="0" border="0" width="100%">
<tr>
<td class="form-label t">投稿日時&nbsp;[*]：</td>
<td>
<input type="text" name="entry_year" value="{$entry_year}" maxlength="4" style="width: 36px;" class="r" />&nbsp;年&nbsp;
<select name="entry_month">
{foreach from=$e_month item=item}
<option value="{$item}"{if $entry_month == $item} selected="selected"{/if}>{$item|string_format:"%02d"}&nbsp;</option>
{/foreach}
</select>
月&nbsp;
<select name="entry_day">
{foreach from=$e_day item=item}
<option value="{$item}"{if $entry_day == $item} selected="selected"{/if}>{$item|string_format:"%02d"}&nbsp;</option>
{/foreach}
</select>
日
<br />
<select name="entry_hour">
{foreach from=$e_hour item=item}
<option value="{$item}"{if $entry_hour == $item} selected="selected"{/if}>{$item|string_format:"%02d"}&nbsp;</option>
{/foreach}
</select>
時&nbsp;
<select name="entry_minute">
{foreach from=$e_minute item=item}
<option value="{$item}"{if $entry_minute == $item} selected="selected"{/if}>{$item|string_format:"%02d"}&nbsp;</option>
{/foreach}
</select>
分
</td>
</tr>
<tr>
<td class="form-label">投稿者&nbsp;[*]：</td>
<td>
<input type="text" name="author_name" value="{$author_name}" style="width: 120px;" />
</td>
</tr>
<tr>
<td class="form-label">タイトル&nbsp;[*]：</td>
<td><input type="text" name="subject" value="{$subject}" style="width: 220px;" /></td>
</tr>
<tr>
<td class="form-label">カテゴリ&nbsp;[*]：</td>
<td>
<select name = "category_id">
{foreach from=$category_list item=item}
<option label="{$item.category_name}" value="{$item.category_id}"{if $category_id == $item.category_id} selected="selected"{/if}>{$item.category_name}&nbsp;</option>
{/foreach}
</select>
</td>
</tr>
<tr>
<td class="form-label">公開状態&nbsp;[*]：</td>
<td style="line-height:20px;">
<input type="radio" class="radio" name="is_open" value="1"{if $is_open == 1} checked="checked"{/if} />&nbsp;公開&nbsp;
<input type="radio" class="radio" name="is_open" value="0"{if $is_open == 0} checked="checked"{/if} />&nbsp;非公開
</td>
</tr>
<tr>
<td class="form-label">コメント&nbsp;[*]：</td>
<td style="line-height:20px;">
<input type="radio" class="radio" name="allow_comment" value="1"{if $allow_comment == 1} checked="checked"{/if} />&nbsp;許可&nbsp;
<input type="radio" class="radio" name="allow_comment" value="0"{if $allow_comment == 0} checked="checked"{/if} />&nbsp;禁止
</td>
</tr>
<tr>
<td colspan="2">トラックバック先のURL：</td>
</tr>
<tr>
<td colspan="2"><input type="text" name="trackback_url" value="{$trackback_url}" style="width: 380px;" /></td>
</tr>
<tr>
<td colspan="2">本文：</td>
</tr>
<tr>
<td colspan="2"><textarea name="body" id="body" cols="50" rows="10" style="width: 400px;">{$body}</textarea></td>
</tr>
<tr>
<td colspan="2"><input type="submit" class="submit" value="投稿" /></td>
</tr>
</table>
</form>
</div><!-- end table-body -->
<div class="table-foot">
</div><!-- end table-foot -->
<br />

{* ここから：エディター *}
<script type="text/javascript">
<!--
PE_ROOT_DIR = './lib/Pocket/editor/';
PE_IMG_DIALOG_URL  = '{$SITE_URL}?m=pc&a=dialogImage.view';
PE_IMG_DIALOG_W    = '611';
PE_IMG_DIALOG_H    = '426';
PE_LINK_DIALOG_URL = '{$SITE_URL}?m=pc&a=dialogLink.view';
PE_LINK_DIALOG_W   = '461';
PE_LINK_DIALOG_H   = '141';
// -->
</script>
<script type="text/javascript" src="./lib/Pocket/editor/pocketEditor.js"></script>
<script type="text/javascript">
<!--
pe_drawingPocketEditor('body', 400, 200);
// -->
</script>
{* ここまで：エディター *}

</div><!-- end center -->
{* ここまで：本文 *}

<div class="clear"></div>

</div><!-- end center-left -->

<div class="right">

{* 右サイドメニュー *}
{include file="incSideBlockRight.tpl"}

</div><!-- end right -->

<div class="clear"></div>

</div><!-- end container-main -->

{include file="incBlockFooter.tpl"}

</div><!-- end container -->

</body>
</html>
