{include file="incHtmlHeader.tpl"}

<body>
<div id="container">

{include file="incBlockHeader.tpl"}

{* ここから：本文 *}
<div id="container-main">
<br />

<div class="setup-table">
<div class="l">
<h1 style="font-size:12pt;">PocketBlogセットアップ</h1>
<br />
<p class="fd_caution">必ず下記の作業をおこなってからセットアップを実行してください。</p>
<br />

<ul>
<li>データベースの作成</li>
<li>root/webapp/config.php の設定</li>
</ul>

</div>
</div><!-- end setup-table -->
<br />

<div class="setup-table">
<br />

{* エラーメッセージ *}
<div class="l">
{include file="incErrorMessage.tpl"}
</div>

<form action="./" method="post">
<div>
<input type="hidden" name="m" value="setup" />
<input type="hidden" name="a" value="setup.do" />
</div>
<table cellpadding="1" cellspacing="0" border="0" width="600px" class="l">
<tr>
<td class="form-label-l m">ユーザID：</td>
<td><input type="text" name="id" value="{$id}" style="width: 110px;" /></td>
</tr>
<tr>
<td class="form-label-l t">パスワード：</td>
<td>
<input type="password" name="password" value="{$password}" style="width: 110px;" />
<br /><div class="fd_caution">※パスワードは6～12文字の半角英数で入力してください</div>
</td>
</tr>
<tr>
<td class="form-label-l m">メールアドレス：</td>
<td><input type="text" name="email" value="{$email}" style="width: 200px;" /></td>
</tr>
<tr>
<td class="form-label-l m">ブログ名称：</td>
<td><input type="text" name="BLOG_NAME" value="{$blog_name}" style="width: 200px;" /></td>
</tr>
<tr>
<td class="form-label-l m">ニックネーム：</td>
<td><input type="text" name="nickname" value="{$nickname}" style="width: 110px;" /></td>
</tr>
<tr>
<td class="form-label-l m">生まれた年：</td>
<td><input type="text" name="birth_year" value="{$birth_year}" maxlength="4" style="width: 40px;" class="r" />&nbsp;年</td>
</tr>
<tr>
<td class="form-label-l">誕生日：</td>
<td>
<select name="birth_month">
<option value="">--</option>
{foreach from=$month item=item}
<option value="{$item}"{if $birth_month == $item} selected="selected"{/if}>{$item|string_format:"%02d"}&nbsp;</option>
{/foreach}
</select>
月&nbsp;
<select name="birth_day">
<option value="">--</option>
{foreach from=$day item=item}
<option value="{$item}"{if $birth_day == $item} selected="selected"{/if}>{$item|string_format:"%02d"}&nbsp;</option>
{/foreach}
</select>
日
</td>
</tr>
<tr>
<td colspan="2"><br /><input type="submit" class="submit" value="実行" /><br /><br /></td>
</tr>
</table>
</form>
</div><!-- end setup-table -->
<br />
</div><!-- end container-main -->
{* ここまで：本文 *}

{include file="incBlockFooter.tpl"}

</div><!-- end container -->

</body>
</html>
